Subject: Re: [tsvwg] New Version Notification for draft-roca-tsvwg-tinymt32-00.txt

From: "Black, David" <[email-masked]>
Date: Mon, 1 Apr 2019 06:20:12 +0000

Hi Mirja,

> this addresses for sure the licensing issue. I’m ready to clear my discuss but I’m
> wondering if the document (draft-ietf-tsvwg-rlc-fec-scheme) now needs another
> WG and/or IETF last call. David/Spencer?

That will happen, regardless.  We're about to adopt the tinymt32 draft as a WG draft and then send it immediately to WG last call, which will include the changes to the rlc-fec-scheme draft to remove the code to that tinymt32 draft.

Thanks, --David

> -----Original Message-----
> From: Mirja Kuehlewind (IETF) <[email-masked]>
> Sent: Monday, February 18, 2019 6:36 AM
> To: Vincent Roca
> Cc: Spencer Dawkins at IETF; Wesley Eddy; Black, David; [email-masked]; draft-
> [email-masked]; draft-ietf-tsvwg-rlc-fec-
> [email-masked]
> Subject: Re: New Version Notification for draft-roca-tsvwg-tinymt32-00.txt
> 
> 
> [EXTERNAL EMAIL]
> 
> Hi Vincent,
> 
> this addresses for sure the licensing issue. I’m ready to clear my discuss but I’m
> wondering if the document (draft-ietf-tsvwg-rlc-fec-scheme) now needs another
> WG and/or IETF last call. David/Spencer?
> 
> Also there are still two discusses by Ekr and Benjamin. The document (draft-ietf-
> tsvwg-rlc-fec-scheme) can’t move forward without having all discusses cleared,
> so you need to follow up with them as well.
> 
> Thanks!
> Mirja
> 
> 
> 
> > Am 11.02.2019 um 12:34 schrieb Vincent Roca <[email-masked]>:
> >
> > Dear Spencer, Mirja, Wes, David, all,
> >
> > In accordance with previous discussions, we:
> >
> > - removed TinyMT32 source code from the draft-ietf-tsvwg-rlc-fec-scheme I-D
> >   to move it to an I-D of its own that is now a normative dependence
> >   (we also fixed a few typos identified by Greg Skinner in -12 version, thanks).
> >
> > - submitted the new draft-roca-tsvwg-tinymt32-00 individual I-D that focusses
> on
> >   the core PRNG specification and mostly contains the C-language specification
> >   under the IETF Trust copyright and licence. It is co-authored with M. Saito and
> >   M. Matsumoto that we warmly thank for the constructive discussions we
> add.
> >
> > We think we thereby addressed all comments received so far by IESG.
> >
> > Cheers,
> >
> >   Vincent, on behalf of the authors.
> >
> >
> >> De: [email-masked]
> >> Objet: New Version Notification for draft-roca-tsvwg-tinymt32-00.txt
> >> Date: 11 février 2019 à 11:03:00 UTC+1
> >> À: "Makoto Matsumoto" <[email-masked]>, "Vincent
> Roca" <[email-masked]>, "Emmanuel Baccelli"
> <[email-masked]>, "Emmanuel Baccelli"
> <[email-masked]>, "Mutsuo Saito" <[email-masked]
> u.ac.jp>
> >>
> >>
> >> A new version of I-D, draft-roca-tsvwg-tinymt32-00.txt
> >> has been successfully submitted by Vincent Roca and posted to the
> >> IETF repository.
> >>
> >> Name:		draft-roca-tsvwg-tinymt32
> >> Revision:	00
> >> Title:		TinyMT32 Pseudo Random Number Generator (PRNG)
> >> Document date:	2019-02-11
> >> Group:		Individual Submission
> >> Pages:		10
> >> URL:            https://www.ietf.org/internet-drafts/draft-roca-tsvwg-tinymt32-
> 00.txt
> >> Status:         https://datatracker.ietf.org/doc/draft-roca-tsvwg-tinymt32/
> >> Htmlized:       https://tools.ietf.org/html/draft-roca-tsvwg-tinymt32-00
> >> Htmlized:       https://datatracker.ietf.org/doc/html/draft-roca-tsvwg-
> tinymt32
> >>
> >>
> >> Abstract:
> >>   This document describes the TinyMT32 Pseudo Random Number Generator
> >>   (PRNG) that produces 32-bit pseudo-random unsigned integers and aims
> >>   at having a simple-to-use and deterministic solution.  This PRNG is a
> >>   small-sized variant of Mersenne Twister (MT) PRNG, also designed by
> >>   M.  Saito and M.  Matsumoto.  The main advantage of TinyMT32 over MT
> >>   is the use of a small internal state, compatible with most target
> >>   platforms including embedded devices, while keeping a reasonably good
> >>   randomness.
> >>
> >>
> >>
> >>
> >> Please note that it may take a couple of minutes from the time of submission
> >> until the htmlized version and diff are available at tools.ietf.org.
> >>
> >> The IETF Secretariat
> >>
> >